﻿@using GridMvc.Html
@using Tech.Net.Controllers
@model Tech.Net.Models.OfficeViewModel




@{
    Layout = null;
}

<!DOCTYPE html>
 
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Content/Gridmvc.css" rel="stylesheet" />
    <link href="~/Content/officeView.css" rel="stylesheet" />
    <link href="~/Content/jquery.toast.min.css" rel="stylesheet" />
    <title>Office</title>
</head>
<body>

    <div id="viewContainer">
        <div id="listView">
            @Html.Grid(Model.AllObjects).Named("spatialObjGrid").Columns(columns =>
            {
                columns.Add(c => c.Id).Titled("ID");
                columns.Add(c => c.Name).Titled("Name").Filterable(true).Sortable(true);
                columns.Add(c => c.Latitude).Titled("Latitude");
                columns.Add(c => c.Longitude).Titled("Longitude");
                columns.Add(c => c.Description).Titled("Description");
            }).WithPaging(10).Sortable(true)
        </div>

        <div id="editView">
            <table>
                <tr>
                    <th>Edit Description</th>
                </tr>
                <tr>
                    <td><textarea id="objDescription" style="width: 300px"></textarea> </td>
                </tr>
                <tr>
                    <td>
                        <input type="button" id="updateObjDescriptionBtn" value="Update" />
                    </td>
                </tr>
            </table>
        </div>

        <div id="mapView">
            <input id="pac-input" type="text" placeholder="Search Box">
            <div id="capaMapa">
                <div id="map_canvas"></div>
            </div>
        </div>

    </div>



    <script src="~/Scripts/jquery-3.3.1.min.js"></script>

    <script src="~/Scripts/gridmvc.min.js"></script>
    <script src="~/Scripts/Office/officeView.js"></script>

    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="~/Scripts/bootstrap.js"></script>
    <script src="~/Scripts/jquery.toast.min.js"></script>
    <script src="~/Scripts/jquery.signalR-2.4.0.min.js"></script>
    <script src="../signalr/hubs"></script>
    <script src="~/Scripts/signalRSpatialInfo.js"></script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=<Your key here>&callback=initialize&libraries=places">
    </script>

</body>
</html>